import { type FileEntryCache } from 'file-entry-cache';
import type { ElintOptions, ElintResult, InternalLoadedPresetAndPlugins } from '../types.js';
export declare type ElintCacheOptions = Required<Pick<ElintOptions, 'fix' | 'internalLoadedPresetAndPlugins' | 'write'>>;
export declare type ElintCachePresetString = `${string}@${string}`;
declare class ElintCache {
    cacheFilePath?: string;
    fileEntryCache: FileEntryCache;
    constructor(cacheFilePath: string);
    static getPresetString(internalLoadedPresetAndPlugins: InternalLoadedPresetAndPlugins): ElintCachePresetString;
    getFileCache(filePath: string, { internalLoadedPresetAndPlugins }: ElintCacheOptions): boolean;
    setFileCache(result: ElintResult, { fix, internalLoadedPresetAndPlugins, write }: ElintCacheOptions): void;
    reconcile(): void;
    delete(): void;
}
export default ElintCache;
