import fs from 'fs-extra';
import path from 'path';
import { CACHE_FILENAME } from '../config.js';
import ElintCache from './elint-cache.js';
let elintCache;
export function getElintCachePath({ cwd, cacheLocation }) {
    let location = cacheLocation;
    if (!location) {
        location = path.join(cwd, 'node_modules', '/');
        if (fs.existsSync(location)) {
            location = path.join(location, '.cache', '/');
        }
        else {
            location = path.join(cwd, '.cache', '/');
        }
    }
    else {
        if (!path.isAbsolute(location)) {
            location = path.join(cwd, location);
        }
    }
    if (location.slice(-1) === path.sep) {
        location = path.join(location, CACHE_FILENAME);
    }
    return location;
}
export function getElintCache(cacheLocationOptions) {
    if (!elintCache) {
        elintCache = new ElintCache(getElintCachePath(cacheLocationOptions));
    }
    return elintCache;
}
export function resetElintCache(cacheLocationOptions) {
    const elintCache = getElintCache(cacheLocationOptions);
    elintCache.delete();
}
//# sourceMappingURL=index.js.map