import type { ElintBasicOptions, InternalLoadedPresetAndPlugins, ElintOptions, ElintResult } from './types.js';
export declare function createElintResult<T>(config?: Partial<ElintResult<T>>): ElintResult<T>;
/**
 * 加载 preset 和 plugins
 */
export declare function loadPresetAndPlugins({ preset, cwd }?: Pick<ElintBasicOptions, 'preset' | 'cwd'>): Promise<InternalLoadedPresetAndPlugins>;
/**
 * 执行全部 type 为 common 的 plugin
 */
export declare function lintCommon({ fix, preset, cwd, internalLoadedPresetAndPlugins }?: ElintBasicOptions): Promise<ElintResult>;
export declare function lintText(text: string, { fix, preset, cwd, filePath, isBinary, internalLoadedPresetAndPlugins }?: ElintBasicOptions & {
    filePath?: string;
    isBinary?: boolean;
}): Promise<ElintResult>;
/**
 * 格式化文件
 *
 * @param files 待执行 lint 的文件
 */
export declare function lintFiles(files: string[], { fix: optionFix, write, noIgnore, git, preset, cwd, internalLoadedPresetAndPlugins, cache, cacheLocation }: ElintOptions): Promise<ElintResult[]>;
export declare function reset({ preset, cwd, cacheLocation, internalLoadedPresetAndPlugins }?: ElintOptions): Promise<Record<string, unknown>>;
