export interface PackageInfo {
    name: string;
    description: string;
    'dist-tags': {
        latest: string;
        [key: string]: string;
    };
    time: Record<string, string>;
    versions: string[];
    version: string;
    gitHead: string;
    dist: {
        shasum: string;
        size: number;
        tarball: string;
        [key: string]: string | number;
    };
    [key: string]: unknown;
}
declare function getPackageInfo(packageName: string, cwd: string): Promise<PackageInfo | null>;
export default getPackageInfo;
