import chalk from 'chalk';
import boxen from 'boxen';
/**
 * 生成 notifier 报告
 *
 * @param info 报告基础信息
 * @returns 用于输出的内容
 */
function report({ name, current, latest }) {
    const messages = [
        `update available ${chalk.dim(current)} → ${chalk.green(latest)}`,
        `Run ${chalk.cyan('npm i ' + name + ' -D')} to update`
    ];
    const boxenOptions = {
        padding: 1,
        margin: 1,
        align: 'center',
        borderColor: 'yellow',
        borderStyle: 'round'
    };
    return boxen(messages.join('\n'), boxenOptions);
}
export default report;
//# sourceMappingURL=report.js.map