import { createElintResult } from '../elint.js';
import { executeElintPlugin } from './execute.js';
import { isElintPlugin } from './types.js';
/**
 * 插件开发者测试插件的函数
 */
export const testPlugin = async (text, plugin, pluginOptions) => {
    if (!isElintPlugin(plugin)) {
        throw new Error('Current plugin is not an elint plugin.');
    }
    const elintResult = createElintResult({ output: text });
    await executeElintPlugin(elintResult, plugin, pluginOptions);
    await plugin.reset?.();
    return elintResult.pluginResults[0];
};
//# sourceMappingURL=test.js.map