import type { ElintOptions } from '../types.js';
export declare type FileItem = string | {
    filePath: string;
    fileContent: string;
};
declare type WalkerOptions = Pick<ElintOptions, 'noIgnore' | 'git'> & {
    cwd: string;
};
/**
 * 文件遍历
 *
 * @param patterns 匹配模式
 * @param options 配置
 * @returns file tree
 */
declare function walker(patterns: string[], options: WalkerOptions): Promise<FileItem[]>;
export default walker;
